unit Main;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, mdSMS;

type
  TForm1 = class(TForm)
    mdSMS1: TmdSMS;
    Label1: TLabel;
    Edit1: TEdit;
    Memo1: TMemo;
    Button1: TButton;
    Button2: TButton;
    Memo2: TMemo;
    Label2: TLabel;
    Label3: TLabel;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure mdSMS1MessageReceived(Sender: TObject;
      const AString: String);
    procedure mdSMS1Error(Sender: TObject; ErrorCode: Integer;
      const ErrorString: String);
  private
    { Private declarations }
  public
    { Public declarations }
    Procedure CreateParams(Var Params: TCreateParams); Override;
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

Procedure TForm1.CreateParams(Var Params: TCreateParams);
Begin
  Inherited CreateParams(Params);
  Params.Style := Params.Style XOR WS_BORDER; {Thick border}
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  Close;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Try
    Memo1.Enabled := False;
    Memo2.Clear;
    mdSMS1.NumberTo := Edit1.Text;
    mdSMS1.SendMessage(Memo1.Lines);
  finally
    Memo1.Enabled := True;
  end;
end;

procedure TForm1.mdSMS1MessageReceived(Sender: TObject;
  const AString: String);
begin
  Memo2.Lines.Add(AString);
  Memo2.Lines.Add('---');
end;

procedure TForm1.mdSMS1Error(Sender: TObject; ErrorCode: Integer;
  const ErrorString: String);
begin
  Memo2.Lines.Add(ErrorString);
  Memo2.Lines.Add('---');
end;

end.
