{ -------------------------------------------------------------------
  Unit          : mdSMS
  -------------------------------------------------------------------
  By            : Martin Djerns (djernaes@einstein.ot.dk)
  Initial date  : 2 March 1997
  Last changed  : 2 March 1997
  -------------------------------------------------------------------
  Usage         : This unit is here for giving posibilities for using
                  error messages with different languages and changing
                  the position of the string table in the resource, in
                  case of conflikt.
                  Just include the resource file (.RES) which you want
                  to use, and feel free to change the values for the
                  constants, but do NOT change the names of the
                  constants, while they are usen in the unit mdSMS.
  ------------------------------------------------------------------- }

Unit mdSMSErr;

Interface

{ Place a dot (.) in front of the languages which you NOT want to use
  in your application                                                    }
{$R mdSMS.gb}   { Remove the dot (.) for getting english error messages }
{.$R mdSMS.dk}    { Remove the dot (.) for getting danish error messages  }
{.$R mdSMS.ge}    { Remove the dot (.) for getting german error messages  }

Const
  sUnknownError        = 9000;
  sCantOpenPort        = 9001;
  sNoPort              = 9002;
  sNoGWNumber          = 9003;
  sNoRecNumber         = 9004;
  sNotLegalNumber      = 9005;
  sModemError          = 9006;
  sUnknownData         = 9007;
  sNoDialTone          = 9008;
  sNoCarrier           = 9009;
  sBusy                = 9010;
  sTimeout             = 9011;

  sNotLegalString      = 9050;
  sCantChangeNow       = 9051;

Implementation

end.                        
